org.kie.api.builder

## Class ReleaseIdComparator

- java.lang.Object
- - org.kie.api.builder.ReleaseIdComparator

- All Implemented Interfaces:
    Comparator<ReleaseId>

      public class ReleaseIdComparator
      extends Object
      implements Comparator<ReleaseId>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReleaseIdComparator.ComparableVersion`
    `static class` | `ReleaseIdComparator.SortDirection`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReleaseIdComparator()`
    `ReleaseIdComparator(ReleaseIdComparator.SortDirection sortDirection)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(ReleaseId o1, ReleaseId o2)`
    `static ReleaseId` | `getEarliest(List<ReleaseId> releaseIds)`
    `static ReleaseId` | `getLatest(List<ReleaseId> releaseIds)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### ReleaseIdComparator

          public ReleaseIdComparator()

    - #### ReleaseIdComparator

          public ReleaseIdComparator(ReleaseIdComparator.SortDirection sortDirection)

  - ### Method Detail

    - #### compare

          public int compare(ReleaseId o1,
                             ReleaseId o2)

      Specified by:
        `compare` in interface `Comparator<ReleaseId>`

    - #### getEarliest

          public static ReleaseId getEarliest(List<ReleaseId> releaseIds)

    - #### getLatest

          public static ReleaseId getLatest(List<ReleaseId> releaseIds)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.